Bug 1136013 - [abrt] libreoffice-core: sd::SdExternalToolEdit::Update(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: sd::SdExternalToolEdit::Update(): soffice.bin killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3ace1a9785761935a4168098cef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-01 12:55 UTC by Pavel Moravec
Modified: 2015-02-22 06:04 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.3.6.2-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:19:59 UTC


Attachments (Terms of Use)
File: backtrace (48.83 KB, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: cgroup (156 bytes, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: core_backtrace (25.96 KB, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: dso_list (28.87 KB, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: environ (1.76 KB, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: exploitable (82 bytes, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: limits (1.29 KB, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: maps (126.95 KB, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: open_fds (555 bytes, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details
File: var_log_messages (368 bytes, text/plain)
2014-09-01 12:55 UTC, Pavel Moravec
no flags Details

Description Pavel Moravec 2014-09-01 12:55:27 UTC
Description of problem:
At the time of crash, I had opened one or two spreadsheets. But the application was "idle" from user point of view - I was working elsewhere and no user action has been performed in past few hours in soffice.

Version-Release number of selected component:
libreoffice-core-4.1.6.2-7.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=5
crash_function: sd::SdExternalToolEdit::Update
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.14.8-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sd::SdExternalToolEdit::Update at /usr/src/debug/libreoffice-4.1.6.2/sd/source/ui/view/drviews2.cxx:192
 #1 ExternalToolEdit::HandleCloseEvent at /usr/src/debug/libreoffice-4.1.6.2/svx/source/core/extedit.cxx:51
 #2 operator() at /usr/include/boost/function/function_template.hpp:767
 #3 FileChangedChecker::TimerHandler at /usr/src/debug/libreoffice-4.1.6.2/svtools/source/misc/filechangedchecker.cxx:85
 #4 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-4.1.6.2/vcl/source/app/timer.cxx:133
 #5 CallCallback at /usr/src/debug/libreoffice-4.1.6.2/vcl/inc/saltimer.hxx:53
 #6 sal_gtk_timeout_dispatch at /usr/src/debug/libreoffice-4.1.6.2/vcl/unx/gtk/app/gtkdata.cxx:832
 #10 g_main_context_iteration at gmain.c:3762
 #11 GtkData::Yield at /usr/src/debug/libreoffice-4.1.6.2/vcl/unx/gtk/app/gtkdata.cxx:577
 #12 ImplYield at /usr/src/debug/libreoffice-4.1.6.2/vcl/source/app/svapp.cxx:422

Comment 1 Pavel Moravec 2014-09-01 12:55:31 UTC
Created attachment 933350 [details]
File: backtrace

Comment 2 Pavel Moravec 2014-09-01 12:55:33 UTC
Created attachment 933351 [details]
File: cgroup

Comment 3 Pavel Moravec 2014-09-01 12:55:35 UTC
Created attachment 933352 [details]
File: core_backtrace

Comment 4 Pavel Moravec 2014-09-01 12:55:37 UTC
Created attachment 933353 [details]
File: dso_list

Comment 5 Pavel Moravec 2014-09-01 12:55:38 UTC
Created attachment 933354 [details]
File: environ

Comment 6 Pavel Moravec 2014-09-01 12:55:39 UTC
Created attachment 933355 [details]
File: exploitable

Comment 7 Pavel Moravec 2014-09-01 12:55:40 UTC
Created attachment 933356 [details]
File: limits

Comment 8 Pavel Moravec 2014-09-01 12:55:45 UTC
Created attachment 933357 [details]
File: maps

Comment 9 Pavel Moravec 2014-09-01 12:55:46 UTC
Created attachment 933358 [details]
File: open_fds

Comment 10 Pavel Moravec 2014-09-01 12:55:47 UTC
Created attachment 933359 [details]
File: proc_pid_status

Comment 11 Pavel Moravec 2014-09-01 12:55:48 UTC
Created attachment 933360 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-09-03 14:51:59 UTC
This seems to be related to perhaps right clicking on an image and edit with external tool. Does that ring any bells, anything like that happen around the time of crash.

Comment 13 Pavel Moravec 2014-09-04 06:32:42 UTC
(In reply to Caolan McNamara from comment #12)
> This seems to be related to perhaps right clicking on an image and edit with
> external tool. Does that ring any bells, anything like that happen around
> the time of crash.

Partially. Some time ago (while having some .ods file still opened until the crash), I was preparing an .odp presentation with pictures. I did with pictures:

- copy&paste from another presentation
- save picture to the disk
- launch gimp (_not_ from libreoffice, i.e. _no_ right_click -> Edit with External Tool) and edit the picture
- deleting picture from .odp and inserting from the disk
- manipulating with the picture (size, alignment)

I probably deleted the files from the disk after inserting them to the presentation.

The .odp presentation was closed, while libre-office was running due to still open .ods file (had been edited since then, but no pictures). Some days later on, with some activity like reading mails (dont recall details but nothing common with the .odp or .ods or pictures), libre-office crashed.

I can provide the presentation if it can be helpful.


( trying to understand backtrace, my understanding is that some timer was fired to close some (file?) handler of picture, but the handler has been gone (m_pObj=null) )

Comment 14 Fedora End Of Life 2015-01-09 21:30:19 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Michael Stahl 2015-01-17 00:11:42 UTC
the implementation of this ExternalToolEdit thing starts a timer whose handler restarts it every 3 seconds, and nothing ever stops it....

when the file *does* eventually change, the timer will call up into the document and modify the drawing object which may be long gone at that time.

fixed in upstream master commit 5f6bdce0c0ac687f418821ce328f2987bf340cda

Comment 16 Michael Stahl 2015-01-19 12:47:58 UTC
fixed on upstream libreoffice-4-4 branch for 4.4.1 release: commit
0e0595c59ba399b265146c256bf0e0631623e898

fixed on upstream libreoffice-4-3 branch for 4.3.7 release: commit
4757c4173b9c093536d91ddbb0800b92e0842cc7

added patch to F21 package

Comment 17 Fedora Update System 2015-02-02 10:43:05 UTC
libreoffice-4.3.5.2-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.5.2-12.fc21

Comment 18 Fedora Update System 2015-02-03 12:00:55 UTC
Package libreoffice-4.3.5.2-12.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.3.5.2-12.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1572/libreoffice-4.3.5.2-12.fc21
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-02-04 09:25:32 UTC
libreoffice-4.3.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-1.fc21

Comment 20 Fedora Update System 2015-02-09 07:33:02 UTC
libreoffice-4.3.6.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-2.fc21

Comment 21 Fedora End Of Life 2015-02-18 11:19:59 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 Fedora Update System 2015-02-19 11:21:15 UTC
libreoffice-4.3.6.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-3.fc21

Comment 23 Fedora Update System 2015-02-22 06:04:36 UTC
libreoffice-4.3.6.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.